Bug 243257 - CVE-2007-1217 Overflow in CAPI subsystem
Summary: CVE-2007-1217 Overflow in CAPI subsystem
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Martin Jenner
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
: 402781 402791 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 10:12 UTC by Marcel Holtmann
Modified: 2013-03-06 05:59 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-0774
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 14:37:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch by Don Howard (574 bytes, patch)
2007-06-28 07:48 UTC, Anton Arapov
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0774 normal SHIPPED_LIVE Moderate: kernel security and bugfix update 2007-09-04 14:37:43 UTC

Description Marcel Holtmann 2007-06-08 10:12:22 UTC
The bufprint routine used by capi_cmsg2str does an unbounded vsprintf into a
8192 byte buffer, perhaps hoping it's big enough.

If the content of that vsprintf can be controlled by remote peers, this may lead
to a remote security hole for daemons using CAPI (pppd-capi-plugin,
asterisk-chan-capi, capi4hylafax, ...). Or a DoS.

If the content of that vsprintf can be controlled by local users making use of a
system service (such as sending a fax, making a phone call, ...) that uses CAPI,
this is a privilege escalation or remote authenticated user security hole, or a DoS.

Comment 1 Anton Arapov 2007-06-28 07:48:09 UTC
Created attachment 158099 [details]
Patch by Don Howard

Upstream patch breaks kABI. The following patch do bounds checking when
printing.

Comment 2 Don Howard 2007-07-31 21:28:00 UTC
A patch addressing this issue has been included in build 2.6.9-55.0.3.EL.

Comment 6 Red Hat Bugzilla 2007-09-04 14:37:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0774.html


Comment 7 Jan Lieskovsky 2007-11-29 14:03:39 UTC
*** Bug 402781 has been marked as a duplicate of this bug. ***

Comment 8 Jan Lieskovsky 2007-11-29 14:10:48 UTC
*** Bug 402791 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.